package DB;
final public class DataRowHolder
	implements org.omg.CORBA.portable.Streamable
{
	public DB.ColumnData[] value;

	public DataRowHolder ()
	{
	}
	public DataRowHolder (DB.ColumnData[] initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return DataRowHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream in)
	{
		value = DataRowHelper.read(in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream out)
	{
		DataRowHelper.write(out,value);
	}
}
